//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobStates;

import net.homelinux.pro.boobTraker.Boob;
import net.homelinux.pro.boobTraker.BoobConsts;
import net.homelinux.pro.boobTraker.BoobState;
import net.homelinux.pro.boobTraker.StateTransition;
import android.graphics.Color;
import android.text.format.Time;
import android.util.TypedValue;
import android.widget.Chronometer;


public class NullBoobState implements BoobState {

	public void available(StateTransition stateTransition) {
		notAllowedTransitionException();
	}
	public void processing(StateTransition stateTransition) {
		notAllowedTransitionException();
		
	}
	public void unavailable(StateTransition stateTransition) {
		notAllowedTransitionException();
		
	}

	
	private void notAllowedTransitionException(){
		throw new RuntimeException("Impossible to get to this state at this time !");
	}

	public int getCode() {
		return BoobConsts.BOOB_AVAILABLE;
	}

	public int getColor() {
		return Color.LTGRAY;
	}

	public int getButtonImage(){
		return 0;
	}
	
	public void setLastStartTime(Boob boob) {
	}
	
	public void setLastEndTime(Boob boob) {
	}
	
	public void setDuration(Boob boob) {
	}

	public void manageChrono(Chronometer chrono){
	}
	
	public void manageChrono(Chronometer chrono, long startedMillis){
	}		
	
	public void manageChrono(Chronometer chrono, Time lastEndTime, long startedMillis){
	}
	
	/** mise en commun du code appelé par les états concrets.
	 * @param chrono
	 * @param baseTime
	 */
	protected void innerChronoManagement(Chronometer chrono, long baseTime, int TextColor, int TextSizeInPT){
		chrono.setTextSize(TypedValue.COMPLEX_UNIT_PT,TextSizeInPT);
		chrono.setTextColor(TextColor);
		chrono.stop();
		chrono.setBase(baseTime);
		chrono.start();
	}
}
