//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobStates;

import net.homelinux.pro.boobTraker.Boob;
import net.homelinux.pro.boobTraker.BoobConsts;
import net.homelinux.pro.boobTraker.StateTransition;
import android.graphics.Color;
import android.os.SystemClock;
import android.widget.Chronometer;


public class ProcessingBoobState extends NullBoobState {

	@Override
	public void unavailable(StateTransition stateTransition) {
		stateTransition.changeStateTo(StateTransition.UNAVAILABLE_BOOB);
	}

	@Override
	public void available(StateTransition stateTransition) {
		//ne rien faire mais autoriser ... juste pour le premier usage
	}

	@Override
	public int getCode() {
		return BoobConsts.BOOB_PROCESSING;
	}
	
	@Override
	public int getColor() {
		return BoobConsts.BOOB_COLOR_ORANGE;
	}
	
	@Override
	public int getButtonImage() {
		return BoobConsts.BOOB_IMAGE_PROCESSING;
	}
	
	@Override
	public void setLastStartTime(Boob boob) {
		boob.getLastStartTime().setToNow();
	}	
	
	@Override
	public void manageChrono(Chronometer chrono){
		chronoProcessor(chrono, SystemClock.elapsedRealtime());
	}	

	/**Used to reinit at restart : during a feed
	 * @param chrono
	 * @param millis
	 */
	@Override
	public void manageChrono(Chronometer chrono, long startedMillis){
		chronoProcessor(chrono, startedMillis);
	}
	
	private void chronoProcessor(Chronometer chrono, long baseTime){
		super.innerChronoManagement(chrono, 
				baseTime,
				Color.YELLOW,
				12);
	}	
	
}
