//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobStates;

import net.homelinux.pro.boobTraker.Boob;
import net.homelinux.pro.boobTraker.BoobConsts;
import net.homelinux.pro.boobTraker.StateTransition;
import net.homelinux.pro.utils.TimeUtils;


public class UnavailableBoobState extends NullBoobState {
	@Override
	public void available(StateTransition stateTransition) {
		stateTransition.changeStateTo(StateTransition.AVAILABLE_BOOB);
	}
	
	@Override
	public int getCode() {
		return BoobConsts.BOOB_UNAVAILABLE;
	}
	
	@Override
	public int getColor() {
		return BoobConsts.BOOB_COLOR_RED;
	}
	
	@Override
	public int getButtonImage() {
		return BoobConsts.BOOB_IMAGE_UNAVAILABLE;
	}

	@Override
	public void setLastEndTime(Boob boob) {
		boob.getLastEndTime().setToNow();
	}

	@Override
	public void setDuration(Boob boob) {
		boob.setDuration(TimeUtils.millisToNiceDuration(TimeUtils.deltaMillis(boob.getLastEndTime(), boob.getLastStartTime())));
	}
}
