//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobTraker;

import java.util.ArrayList;

import net.homelinux.pro.boobTracker.R;
import android.app.ListActivity;
import android.graphics.Color;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;

/** Re-read datafile and displays it entirely in a listview.
 * @author calou
 *
 */
public class FeedLogs extends ListActivity {
	private static String[] lv_arr = {};

	private ListFeeds listFeedsCache = new ListFeeds(false);
	private ArrayList<String> listLogs = new ArrayList<String>();
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main2);

		init();

		lv_arr = (String[]) listLogs.toArray(new String[0]);
		
		setListAdapter(new LogViewAdapter());
		
	}

 //TODO finalement : pas de gestion des logs. On verra un jour si ça rame.	
//    @Override
//    public boolean onCreateOptionsMenu(Menu menu) {
//        MenuInflater inflater = getMenuInflater();
//        inflater.inflate(R.menu.log_menu, menu);
//        return true;
//    }
//
//    public boolean onOptionsItemSelected(MenuItem item) {
//        switch (item.getItemId()) {
//		case R.id.cleanSaveM:
//			if (FileUtils.backup(listFeedsCache))
//				listFeedsCache.flush();
//				this.finish();
//			break;
//		
//		case R.id.purgeAll:
//			FileUtils.purgeBackups();
//			break;
//		
//		default:
//			break;
//		}
//    	
//    	return true;
//    }	
	
	private void init(){
		this.listFeedsCache.loadDataFromFile();
		
		int day=0;
		
		for (Feed f:listFeedsCache){
			//add a header any time the day changes
			if (f.getDateStart().monthDay != day){
				day=f.getDateStart().monthDay;
				this.listLogs.add(f.getDateStart().format(BoobConsts.TIMEFORMAT_HEADER));
			}
				
			this.listLogs.add(f.toStringLog());
			
		}
		
	}

	
	class LogViewAdapter extends ArrayAdapter<String> {

		public LogViewAdapter() {
			super(FeedLogs.this, R.layout.row,R.id.label, FeedLogs.lv_arr);
		}

		@Override
		public View getView(int position, View convertView, ViewGroup parent) {
			
			View row=convertView; //we try to re-use previous views
			
			if (row==null){
			
			
				LayoutInflater inflater=getLayoutInflater();
				row=inflater.inflate(R.layout.row, parent, false);
			
			}	
				
			TextView label=(TextView)row.findViewById(R.id.label);

			label.setText(lv_arr[position]);

			if (lv_arr[position].startsWith(" ")){
				row.setBackgroundColor(BoobConsts.BOOB_COLOR_ORANGE);
				label.setTextColor(Color.BLACK);
				
			}else{ 
				row.setBackgroundColor(BoobConsts.BOOB_COLOR_TRANSPARENT);
				label.setTextColor(Color.GRAY);
			}
				
			return row;
		}
		
	}	
	
}
